package com.sundot.airport.personnel.dto;

/**
 * 汇总统计DTO
 *
 * @author wangxx
 * @date 2026-05-09
 */
public class AssessmentSummaryDto {
    /**
     * 考核组人数（考核组字段不为空的有多少人）
     */
    private Integer assessmentTeamCount;

    /**
     * 测算待改进人数（ROUNDUP(考核组人数*0.05,0)）
     */
    private Integer estimatedImprovementCount;

    /**
     * 待改进总人数（考核结果中有多少是待改进）
     */
    private Integer improvementTotalCount;

    /**
     * 待改进豁免人数（待改进的人里多少被豁免）
     */
    private Integer improvementExemptedCount;

    /**
     * 实际待改进人数（最终考核结果中有多少是待改进）
     */
    private Integer actualImprovementCount;

    /**
     * 不称职总人数（考核结果中有多少是不称职）
     */
    private Integer incompetentTotalCount;

    /**
     * 不称职豁免人数（不称职里面有多少被豁免）
     */
    private Integer incompetentExemptedCount;

    /**
     * 实际不称职人数（最终考核结果中有多少是不称职）
     */
    private Integer actualIncompetentCount;

    public Integer getAssessmentTeamCount() {
        return assessmentTeamCount;
    }

    public void setAssessmentTeamCount(Integer assessmentTeamCount) {
        this.assessmentTeamCount = assessmentTeamCount;
    }

    public Integer getEstimatedImprovementCount() {
        return estimatedImprovementCount;
    }

    public void setEstimatedImprovementCount(Integer estimatedImprovementCount) {
        this.estimatedImprovementCount = estimatedImprovementCount;
    }

    public Integer getImprovementTotalCount() {
        return improvementTotalCount;
    }

    public void setImprovementTotalCount(Integer improvementTotalCount) {
        this.improvementTotalCount = improvementTotalCount;
    }

    public Integer getImprovementExemptedCount() {
        return improvementExemptedCount;
    }

    public void setImprovementExemptedCount(Integer improvementExemptedCount) {
        this.improvementExemptedCount = improvementExemptedCount;
    }

    public Integer getActualImprovementCount() {
        return actualImprovementCount;
    }

    public void setActualImprovementCount(Integer actualImprovementCount) {
        this.actualImprovementCount = actualImprovementCount;
    }

    public Integer getIncompetentTotalCount() {
        return incompetentTotalCount;
    }

    public void setIncompetentTotalCount(Integer incompetentTotalCount) {
        this.incompetentTotalCount = incompetentTotalCount;
    }

    public Integer getIncompetentExemptedCount() {
        return incompetentExemptedCount;
    }

    public void setIncompetentExemptedCount(Integer incompetentExemptedCount) {
        this.incompetentExemptedCount = incompetentExemptedCount;
    }

    public Integer getActualIncompetentCount() {
        return actualIncompetentCount;
    }

    public void setActualIncompetentCount(Integer actualIncompetentCount) {
        this.actualIncompetentCount = actualIncompetentCount;
    }
}
